Name: python-kde
Summary: Set of Python bindings for KDE framework
Version: 3.16.1
Release: %mkrel 2
Epoch: 1
Group: Development/KDE and Qt
URL: http://www.riverbankcomputing.co.uk/pykde/index.php
Source0: http://www.riverbankcomputing.com/Downloads/PyKDE3/PyKDE-%{version}.tar.bz2
Patch0: PyKDE-3.16.1-configure-mandriva.patch
License: GPLv2+
Provides: PyKDE = %epoch:%version-%release
Requires: python-sip >= 1:4.7
Requires: python-qt
BuildRoot: %_tmppath/%name-%version-%release-root
BuildRequires: qt3-devel
BuildRequires: kdelibs-devel
BuildRequires: python-sip >= 1:4.7
BuildRequires: python-qt
BuildRequires: qscintilla-qt3-devel
%py_requires -d

%description
PyKDE is a set of Python bindings for KDE application framework and
runs on all platforms supported by KDE.

%files 
%defattr(-,root,root)
%_bindir/*
%py_platsitedir/*
%_datadir/sip/*

#------------------------------------------------------------

%package doc
Group: Books/Computer books
Summary: Python KDE 3 doc and examples

%description doc
Python KDE 3 doc and examples.

%files doc
%defattr(-,root,root)
%_docdir/python-kde

#------------------------------------------------------------

%prep
%setup -q -n PyKDE-%version
%patch0 -p1

%build
export QTDIR=%qt3dir
python ./configure.py -i

%make

%install
rm -rf %buildroot
make DESTDIR=%buildroot install

mkdir -p %buildroot%_docdir/python-kde
cp -a examples %buildroot%_docdir/python-kde
cp -a doc/* %buildroot%_docdir/python-kde

%clean
rm -rf %buildroot



%changelog
* Fri May 23 2008 Funda Wang <fundawang@mandriva.org> 1:3.16.1-2mdv2009.0
+ Revision: 210278
- New license policy

* Thu Mar 13 2008 Helio Chissini de Castro <helio@mandriva.com> 1:3.16.1-1mdv2008.1
+ Revision: 187701
- Package restored finally
- Created documentation package
- Fixed install list
- import python-kde


